Skip to main content
POST
Create

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectType
string
required

The type of CRM object to create, such as contacts, companies, or deals.

Body

application/json

Is the input object used to create a new CRM object, containing the properties to be set and optional associations to link the new record with other CRM objects.

associations
object[]
required

An array of associations that link this object to other objects. Each association is defined using the PublicAssociationsForObject schema.

properties
object
required

An object containing key-value pairs where the key is the property name and the value is the property value. Each property is represented as a string.

Response

successful operation

A simple public object.

archived
boolean
required

A boolean indicating whether this object is archived.

createdAt
string<date-time>
required

The date and time when this object was created, in ISO 8601 format.

id
string
required

The unique identifier for this object, represented as a string.

properties
object
required

An object containing key-value pairs representing the properties of the CRM object, where each key is a property name and the value is a string.

updatedAt
string<date-time>
required

The date and time when this object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The date and time when this object was archived, in ISO 8601 format.

objectWriteTraceId
string

Unique ID to identify each write operation, which will be returned with any errors to identify which request encountered which error.

propertiesWithHistory
object

An object containing key-value pairs where each key is a property name and the value is an array of historical values, each with a timestamp.

url
string

URL to go to the object

warnings
object[]

An array of warnings associated with this object, each represented by a PublicObjectWarning object.

Last modified on September 14, 2026